/*
Copyright (C) 2008 Chen Shih Sheng (shih.sheng@msa.hinet.net)

This file is part of PatentNet.

PatentNet is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PatentNet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PatentNet.  If not, see <http://www.gnu.org/licenses/>.

*/

package PatentNet;

public class StringUtils{

	public static String to2(int i){
		String string = String.valueOf(i);
		if (string.length() < 2) {
			string = "0" + string;
		}
		return string;
	}

	public static String to2(String string) {
		if (string.length() < 2) {
			string = "0" + string;
		}
		return string;
	}

	//return string betwen s2 and s3 in s1	
	public static String substring(String s1, String s2, String s3) {
		String string = null;
		int i = s1.indexOf(s2);
		if (i > -1) {
			i += s2.length();
			s1 = s1.substring(i, s1.length());
			int j = s1.indexOf(s3);
			if (j > -1) {
				string = s1.substring(0, j).trim();
			}
		}
		return string;
	}

	//return string after s2 in s1, and n is offset	
	public static String substring(String s1, String s2,int n)
	{
		String string = null;
		int i = s1.indexOf(s2);
		if (i > -1)
		{
			i += n;
			string = s1.substring(i,s1.length());		
			
		}

		
		return string;
	}	

}
