/*
Copyright (C) 2008 Chen Shih Sheng (shih.sheng@msa.hinet.net)

This file is part of PatentNet.

PatentNet is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PatentNet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PatentNet.  If not, see <http://www.gnu.org/licenses/>.

*/

package PatentNet;

import java.io.*;
import java.net.*;


public class espPatentGrabber extends PatentGrabber{

	
	public void initCookie()throws Exception {
		URL url = new URL("http://v3.espacenet.com");
		HttpURLConnection urlConn = (HttpURLConnection)url.openConnection();
		//urlConn.setRequestProperty("User-Agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows 2000)");
		cookie = urlConn.getHeaderField("Set-Cookie");
		System.out.println(cookie);
	}
	

	//e.g. PN=US5022778
	public void grabFamily(File dir,String PN)throws Exception {
		String url = "http://v3.espacenet.com/family?sf=n&FIRST=1&F=8&CY=gb&LG=en&PN=";
		url += PN;
		url += "&IDX=";
		url += PN;
		url += "&Submit=SEARCH&=&=&=&=&=";
		System.out.println(url);
		String result = getResponseString(url);
		new FileWrapper(new File(dir,PN+"_family.htm")).save(result);
	}

		
	public static int parseFamily(String string) {

		int i = 1;
		String s = "application(s)";
		string = StringUtils.substring(string,s,-30);



		if (string != null) {

			String s1 = "<STRONG>";
			String s2 = "</STRONG>";
			string = StringUtils.substring(string, s1, s2);


			if (string != null) {
				i = Integer.parseInt(string);
			}
		} else {
			i = 0;
		}
		return i;
	}
	
}
