/*
Copyright (C) 2008 Chen Shih Sheng (shih.sheng@msa.hinet.net)

This file is part of PatentNet.

PatentNet is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PatentNet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PatentNet.  If not, see <http://www.gnu.org/licenses/>.

*/

package PatentNet;

public class Countee implements Comparable{
	String name;
	int count;

	public Countee(String name) {
		this(name,1);
	}

	public Countee(String name,int count) {
		this.name = name;
		this.count = count;
	}

	public int compareTo(Object obj){
		Countee countee = (Countee)obj;
		return countee.count - count;
	}

	public String toString(){
		return name+"\t"+count;
	}

}
