/*
Copyright (C) 2008 Chen Shih Sheng (shih.sheng@msa.hinet.net)

This file is part of PatentNet.

PatentNet is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PatentNet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PatentNet.  If not, see <http://www.gnu.org/licenses/>.

*/

package PatentNet;

import java.awt.*;
import java.awt.event.*;


public class TextAreaFrame extends Frame implements WindowListener{

	TextArea textarea;

	public void windowActivated(WindowEvent e) { }
	public void windowDeactivated(WindowEvent e) { }
	public void windowClosed(WindowEvent e) { }
	public void windowClosing(WindowEvent e) {
		setVisible(false);
		this.dispose();
	}
	public void windowIconified(WindowEvent e) { }
	public void windowDeiconified(WindowEvent e) { }
	public void windowOpened(WindowEvent e) { }

	public TextAreaFrame(String title,String text) {
		super(title);
		setLayout(new BorderLayout());
		setSize(640, 480);
		addWindowListener(this);

		textarea = new TextArea(text);
		

		this.add(textarea);
		this.setVisible(true);
	}

	
}
